summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRobin H. Johnson <robbat2@gentoo.org>2015-08-08 13:49:04 -0700
committerRobin H. Johnson <robbat2@gentoo.org>2015-08-08 17:38:18 -0700
commit56bd759df1d0c750a065b8c845e93d5dfa6b549d (patch)
tree3f91093cdb475e565ae857f1c5a7fd339e2d781e /dev-python/colout
downloadgentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.gz
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.bz2
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.zip
proj/gentoo: Initial commit
This commit represents a new era for Gentoo: Storing the gentoo-x86 tree in Git, as converted from CVS. This commit is the start of the NEW history. Any historical data is intended to be grafted onto this point. Creation process: 1. Take final CVS checkout snapshot 2. Remove ALL ChangeLog* files 3. Transform all Manifests to thin 4. Remove empty Manifests 5. Convert all stale $Header$/$Id$ CVS keywords to non-expanded Git $Id$ 5.1. Do not touch files with -kb/-ko keyword flags. Signed-off-by: Robin H. Johnson <robbat2@gentoo.org> X-Thanks: Alec Warner <antarus@gentoo.org> - did the GSoC 2006 migration tests X-Thanks: Robin H. Johnson <robbat2@gentoo.org> - infra guy, herding this project X-Thanks: Nguyen Thai Ngoc Duy <pclouds@gentoo.org> - Former Gentoo developer, wrote Git features for the migration X-Thanks: Brian Harring <ferringb@gentoo.org> - wrote much python to improve cvs2svn X-Thanks: Rich Freeman <rich0@gentoo.org> - validation scripts X-Thanks: Patrick Lauer <patrick@gentoo.org> - Gentoo dev, running new 2014 work in migration X-Thanks: Michał Górny <mgorny@gentoo.org> - scripts, QA, nagging X-Thanks: All of other Gentoo developers - many ideas and lots of paint on the bikeshed
Diffstat (limited to 'dev-python/colout')
-rw-r--r--dev-python/colout/Manifest1
-rw-r--r--dev-python/colout/colout-0.1.ebuild37
-rw-r--r--dev-python/colout/metadata.xml8
3 files changed, 46 insertions, 0 deletions
diff --git a/dev-python/colout/Manifest b/dev-python/colout/Manifest
new file mode 100644
index 00000000000..c802ff640ed
--- /dev/null
+++ b/dev-python/colout/Manifest
@@ -0,0 +1 @@
+DIST colout-0.1.tar.gz 11184 SHA256 dc0cc0672f85150894af35a3811faf4e18f82aa97dbc2627083bf8e7f1856827 SHA512 605f67c706296f92d3300ae3ea1ad46c77073ef8503c99febc64a8bb17a677f7f4539a5b148853c8a3838c79f158f4703017db62bc99554628e9d7c3138f8880 WHIRLPOOL 88c2acb8703b48b4f29126c06e56ddb62b19508756fd370121390b3427c4ff60fdfab1aed0e6ac096ac3b3b8a169b12bce2e8b4c00c089fd426631ed0a53b7f5
diff --git a/dev-python/colout/colout-0.1.ebuild b/dev-python/colout/colout-0.1.ebuild
new file mode 100644
index 00000000000..8ed8cc14e30
--- /dev/null
+++ b/dev-python/colout/colout-0.1.ebuild
@@ -0,0 +1,37 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+PYTHON_COMPAT=( python{2_7,3_3,3_4} )
+inherit distutils-r1
+
+DESCRIPTION="Adds color to arbitrary command output"
+HOMEPAGE="http://nojhan.github.com/colout/"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="amd64 x86"
+IUSE=""
+
+RDEPEND="
+ dev-python/pygments[${PYTHON_USEDEP}]
+ dev-python/Babel[$(python_gen_usedep 'python2*')]
+"
+
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+
+src_prepare() {
+ #PyPi tarball has wrong (old, evidently) README. Upstream uses GPL-3.
+ sed -e 's:BSD licensed:GPL-3 licensed:' -i README || die
+ distutils-r1_src_prepare
+}
+
+pkg_postinst() {
+ if [[ "${PYTHON_TARGETS}" == *python3* ]]; then
+ ewarn "Though ${PN} supports Python 3, Babel does not, thus it's number parsing feature won't be used."
+ ewarn "If you need it, use Python 2."
+ fi
+}
diff --git a/dev-python/colout/metadata.xml b/dev-python/colout/metadata.xml
new file mode 100644
index 00000000000..1a741a7899a
--- /dev/null
+++ b/dev-python/colout/metadata.xml
@@ -0,0 +1,8 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <herd>python</herd>
+ <upstream>
+ <remote-id type="pypi">Colout</remote-id>
+ </upstream>
+</pkgmetadata>